{ ... }: {
  # Let's setup our user accounts here.

  #sops.secrets = {
  #  jay_password_hash = { };
  #};

  users = {
    # mutableUsers forces user passwords to stay as those defined in this file.
    # With it set to false, you will not be able to change the password for users defined here.
    mutableUsers = false;
    users.jay = {
      isNormalUser = true;
      description = "jay";
      #hashedPasswordFile = config.sops.secrets.jay_password_hash.path;
      hashedPassword = "$y$j9T$oomgQFsMbc0odlNIUXEpq/$dhgLjElzaJuU3rF1wXGcSXFUWC/fP1g5mAPZizKUFQ4";

      # Gamemode group allows gamemode to set cpu governor to performance when games launch.
      # See https://nixos.wiki/wiki/Gamemode
      extraGroups = [ "networkmanager" "wheel" "gamemode" ];
    };
  };
}

